Name:           gnome-online-accounts
Version:        3.38.2
Release:        3
Summary:        Single sign-on framework for GNOME
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/GnomeOnlineAccounts
Source0:        https://download.gnome.org/sources/gnome-online-accounts/3.38/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel >= 2.52 gcr-devel gtk3-devel >= 3.19.12 libxml2-devel
BuildRequires:  gobject-introspection-devel gettext >= 0.19.8 gtk-doc krb5-devel
BuildRequires:  webkit2gtk3-devel >= 2.12.0 json-glib-devel libsoup-devel >= 2.42
BuildRequires:  libsecret-devel >= 0.7 rest-devel vala

Requires:       glib2%{?_isa} >= 2.52 gtk3%{?_isa} >= 3.19.12 libsoup%{?_isa} >= 2.42 webkit2gtk3%{?_isa} >= 2.12.0

%description
GNOME Online Accounts Single sign-on framework for GNOME. It aims to provide
a way for users to setup online accounts to be used by the core system and
core applications only. Calendar entries show up in GNOME Shell, e-mail in
Evolution, online storages are exposed as GVolumes, and so on.


%package devel
Summary:        Libraries and header files
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package includes libraries and header files for
developing with gnome-online-accounts.

%package help
Summary: Man pages for gnome-online-accounts

%description help
Man pages for gnome-online-accounts.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-lastfm --disable-media-server --disable-pocket \
  --disable-silent-rules --disable-static --disable-todoist --enable-documentation \
  --enable-facebook --enable-foursquare --enable-exchange --enable-flickr \
  --enable-google --enable-gtk-doc --enable-imap-smtp --enable-kerberos \
  --enable-owncloud --enable-windows-live

%make_build

%install
%make_install

%delete_la_and_a

%find_lang %{name}

%ldconfig_post
%ldconfig_postun

%files -f %{name}.lang
%license COPYING
%{_libdir}/girepository-1.0/Goa-1.0.typelib
%{_libdir}/libgoa*.so.*
%{_libdir}/goa-1.0/web-extensions/libgoawebextension.so
%{_prefix}/libexec/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/apps/goa-*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.online-accounts.gschema.xml

%files devel
%{_includedir}/goa-1.0/
%{_libdir}/libgoa*.so
%{_datadir}/gir-1.0/Goa-1.0.gir
%{_libdir}/pkgconfig/goa*.pc
%{_datadir}/gtk-doc/html/goa/
%{_libdir}/goa-1.0/include
%{_datadir}/vala/

%files help
%{_datadir}/man/man8/goa-daemon.8*

%changelog
* Thu May 19 2022 loong_C <loong_c@yeah.net> - 3.38.2-3
- fix spec changelog date

* Tue Jul 20 2021 liuyumeng <liuyumeng5@huawei.com> - 3.38.2-2
- delete gdb in buildrequires

* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.2-1
- Upgrade to 3.38.2
- Update Version

* Fri Jan 29 2021 yanglu <yanglu60@huawei.com> - 3.38.0-1
- update to 3.38.0

* Fri Mar 20 2020 songnannan <songnannan2@huawei.com> - 3.30.0-5
- add gdb in buildrequires

* Wed Sep 18 2019 Zaiwang Li <lizaiwang1@huawei.com> - 3.30.0-4
- Init Package
